Skip to main content
`Ctrl`+`K`

# DMPlexGetCoordinateMap

Returns the function used to map coordinates of newly generated mesh points

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexGetCoordinateMap(DM dm, PetscPointFn **coordFunc)

Not Collective

## Input Parameter

- dm - the `DMPLEX`

## Output Parameter

- coordFunc - the mapping function

## Note

This function maps from the generated coordinate for the new point to the actual coordinate. Thus it is only practical for manifolds with a nice analytical definition that you can get to from any starting point, like a sphere,

## See Also

`DMPLEX`, `DMGetCoordinates()`, `DMPlexSetCoordinateMap()`, `PetscPointFn`

## Level

developer

## Location

src/dm/impls/plex/plexgeometry.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages